Bug 308850

Summary: Close its window when last console session is being closed
Product: yakuake Reporter: Alexander <vo.zaeb>
Component: generalAssignee: Eike Hein <hein>
Status: RESOLVED FIXED    
Severity: normal CC: god, jason_ca, vito.detullio
Priority: NOR    
Version: 2.9.9   
Target Milestone: ---   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Example video

Description Alexander 2012-10-23 06:41:21 UTC
Before, when I closed the last tab it simply open a new one. But now it also close the main window. I don't want it to be closed, I have a special button for that. And this is very annoying behavior.

I have Alt+Q shortcut to close the tab and this was very useful to clear current session and start a new one. Now it is absolutely unusable and cause a lot of movements before my eyes.

Would be cool if there will be a checkbox "Leave window opened after the last console session closed".

Reproducible: Always

Steps to Reproduce:
Please see attached video
Actual Results:  
Yakuake closes its window after closing last tab instead of just start a new console session (as it was before).

Expected Results:  
It should leave window opened since I didn't closed it manually. No need to guess user needs, simply do it optional instead.
Comment 1 Alexander 2012-10-23 06:42:06 UTC
Created attachment 74742 [details]
Example video
Comment 2 Jekyll Wu 2012-10-23 14:59:44 UTC
See bug 206845
Comment 3 Eike Hein 2012-10-23 18:44:47 UTC
I'll consider it.
Comment 4 Alexander 2012-10-23 19:03:48 UTC
Thank you! A checkbox to enable/disable it would be quite enough.
Comment 5 Eike Hein 2012-10-23 19:12:39 UTC
Yeah. Frankly I'm trying not to have too many options in there, so it's always a bit of a struggle to get myself to add another one, but I support I can see the use case where you want to clear away all the sessions but still aren't done with the window.
Comment 6 Denis M. (Phr33d0m) 2012-10-27 23:51:57 UTC
Hello Eike, I was just going to report the same thing.
I must agree with Alexander that this 'new' behaviour is very annoying. Please revert the changes and make it like before (when you close the last tab it should open a new tab instead of closing the window).

Regards.
Comment 7 Jason 2012-11-05 13:52:56 UTC
Yeah, having an option for this would be cool. This behaviour is really annoying.
Comment 8 Eike Hein 2012-11-05 13:58:16 UTC
Yeah, option is coming. Might do it today in fact, I got a raging migraine and it's not like my head is useful for anything non-trivial in the next few hours anyway. Sorry for oversharing ;).
Comment 9 Eike Hein 2012-11-05 22:06:32 UTC
Git commit 4655fb0affb4753eade7d6c92bb699e9d7dd3fb5 by Eike Hein.
Committed on 05/11/2012 at 23:06.
Pushed by hein into branch 'master'.

Add an option for keeping the window open after the last session closes.

M  +62   -45   app/config/behaviorsettings.ui
M  +5    -0    app/config/yakuake.kcfg
M  +1    -1    app/mainwindow.cpp

http://commits.kde.org/yakuake/4655fb0affb4753eade7d6c92bb699e9d7dd3fb5
Comment 10 Jason 2012-11-06 06:38:46 UTC
Thanks a lot, Eike Hein! The above commit works fine. Yakuake is the best again..! -)
Comment 11 Vito De Tullio 2013-05-26 04:34:57 UTC
Thanks for the patch.
For what I understand, at the moment this option is available only in svn:trunk.
Are there some time line planned to a proper release with this option available?
Thanks.
Comment 12 Eike Hein 2013-05-26 19:20:07 UTC
It's actually in git master, not in SVN trunk (Yakuake has been moved to git.kde.org a long time ago).

The next release will include this option. There is currently no scheduled date for the next release.
Comment 13 Vito De Tullio 2015-12-12 14:05:59 UTC
Hi.
Is there a scheduling for a release? :)